#include "zlib.h"
#include <string.h>
#include "../quakedef.h" //rww

FILE *zl_fopen(const char *filename, const char *readmode)
{
	//return fopen(filename, readmode);
	FILE *f = NULL;
	if (readmode && readmode[0] == 'w')
	{ //hack
		char fullpath[MAX_OSPATH];
		sprintf (fullpath, "%s/%s", com_gamedir, filename);
		f = fopen (fullpath, readmode);
		if (!f)
		{
			sprintf (fullpath, "%s/qdix", com_gamedir);
			Sys_mkdir(fullpath);
			sprintf (fullpath, "%s/qdix/nrml", com_gamedir);
			Sys_mkdir(fullpath);
			sprintf (fullpath, "%s/%s", com_gamedir, filename);
			f = fopen (fullpath, readmode);
		}
	}
	else
	{
		COM_FOpenFile((char *)filename, &f);
	}

	return f;
}

int zl_fclose(FILE *f)
{
	return fclose(f);
}

size_t zl_fread(void *buf, size_t num, size_t size, FILE *f)
{
	return fread(buf, num, size, f);
}
